import commands
import sys
import os
from xml.dom import minidom

from lxml import etree

path=os.getenv('PATH')

if len(sys.argv) != 4:
  sys.exit()

maxlink_dir=sys.argv[1]
inputfilename=sys.argv[2]
outputfilename=sys.argv[3]

os.putenv('PATH',"%s:%s" % (maxlink_dir,path)) 

parser = etree.XMLParser(resolve_entities=False)
xmldoc2 = etree.parse(inputfilename, parser=parser)

xmldoc = minidom.parse(inputfilename)

for i in xmldoc2.xpath('//t:repl',
               namespaces={'t': 'http://docbook.org/ns/docbook'}):

  shellcmd = i.get("shell-cmd")
  str=commands.getoutput( shellcmd )
  outputelem = etree.Element("programlisting") 
  outputelem.text = "[user@linux ~]$ %s\n%s" % (shellcmd, str)
  i.getparent().replace(i,outputelem)

reflist = xmldoc.getElementsByTagName('repl-example-file')
xmlStr = etree.tostring(xmldoc2)
file = open(outputfilename,"w")
file.writelines(xmlStr)



