package "maxlink-query1"
version "@PACKAGE_VERSION@"
purpose "Maxlink is a software that implements the cancer gene network searching algorithm that was first described in the article: Network-based Identification of Novel Cancer Genes."

#option "read-gene-list-from-stdin" r  "read gene list from stdin"  flag off 

option "gene-list-filename" n "gene list xml input file" string typestr="filename" 
option "gene-list-file-format" N "file format of gene list"  values="xml","text" default="text" enum optional
option "fbs-cutoff" c "only consider edges with a FBS higher than cutoff" float default="8.0" optional
option "tokyo-cabinet-dir" d "tokyo cabinet directory that was created with maxlink-load. If this option is not given the directory path needs to be specified with the environment variable MAXLINK_TOKYO_CABINET_DIR" string typestr="dirname" optional
option "output-format" f "print result in this format"  values="tsv","xml" default="tsv" enum optional
option "result-method" r "filter out result method" values="hypergeometric","ratio" default="ratio" enum optional
option "probability-cutoff" p "hypergeometric probability cutoff (only used if --result-method=hypergeomtric)" double default="0.1" optional
option "debug" D "debug information is printed to stderr" flag off